{% extends 'base.html.twig' %}


{% block title %}Dashboard
{% endblock %}
{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.css">
	<link
	href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
	{#    {{ encore_entry_link_tags('app') }} #}
	<link rel="stylesheet" href="./../assets/styles/style.css">
{% endblock %}

{% block javascripts %}
	<script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4" crossorigin="anonymous"></script>
	<script>
$(document).ready(function () {
    $('#table_facture').DataTable({ "pagingType": "full_numbers",pageLength : 5, lengthMenu: [[5, 10, 20, -1], [5, 10, 20, 'Todos']] });

    $('#btn-facture').on('submit', function (e) {
        console.log("walid");
        var id = $(this).attr('data-id');
        $.ajax({
            url: "{{ path('dashboard') }}",
            data: {
                'id': id
            },
            method: "POST",
            dataType: "json",
            success: function (response) {
                $('#facture_id').val("");
                $('#facture_designation').val("");
                $('#facture_description').val("");
                $('#facture_prixHT').val("");
                $('#facture_prixTTC').val("");
            }
        });

    });

    $('.edit-row').on('click', function (e) {
        var id = $(this).attr('data-id');
        $.ajax({
            url: "{{ path('getfacture') }}",
            data: {
                'id': id
            },
            method: "POST",

            success: function (response) {
                $('#facture_id').val(response.id);
                $('#facture_designation').val(response.designation);
                $('#facture_description').val(response.description);
                $('#facture_prixHT').val(response.prixHT);
                $('#facture_prixTTC').val(response.prixTTC);
            }
        });
    });

    $('.delete-row').on('click', function (e) {
        var id2 = $(this).attr('data-id');
        $.ajax({
            url: "{{ path('delete-facture') }}",
            data: {
                'id': id2
            },
            method: "POST",

            success: function (response) {
                window.history.forward(1)
                location.reload(true);
            }
        });
    });

    $('#add-row').on('click', function (e) {
        $('#facture_id').val("");
        $('#facture_designation').val("");
        $('#facture_description').val("");
        $('#facture_prixHT').val("");
        $('#facture_prixTTC').val("");
    });

});
	</script>
	{#   {{ encore_entry_script_tags('app') }} #}
{% endblock %}
{% block body %}
	<div class="container">
		{% include('layout/_navbar.html.twig') %}

		<div class="row">
			<div class="col-3 menu">
				<h5>
					Menu
				</h5>
				<p>Gére mes facture</p>
			</div>
			<div class="col-6 facture">
				<h5>
					Liste de factures</h5>
				<button id="add-row" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#facture">
					créer une nouvelle facture
				</button>
				<table id="table_facture" class="table">
					<thead>
						<tr>
							<th scope="col">N°</th>
							<th scope="col">Déseignation</th>
							<th scope="col">prix HT</th>
							<th scope="col">TVA</th>
							<th scope="col">prix TTC</th>
							<th scope="col">Action</th>
						</tr>
					</thead>
					<tbody>
						{% for pagination in paginations %}
							<tr>
								<th scope="row">{{pagination.id}}</th>

								<td>{{pagination.designation}}</td>
								<td>{{pagination.prixHT}}</td>
								<td>20 %</td>
								<td>{{pagination.prixTTC}}</td>
								<td>
									<button class="edit-row" type="button" class="btn btn-primary" data-id={{pagination.id}} data-bs-toggle="modal" data-bs-target="#facture">
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-box-arrow-down-left" viewbox="0 0 16 16">
											<path fill-rule="evenodd" d="M7.364 12.5a.5.5 0 0 0 .5.5H14.5a1.5 1.5 0 0 0 1.5-1.5v-10A1.5 1.5 0 0 0 14.5 0h-10A1.5 1.5 0 0 0 3 1.5v6.636a.5.5 0 1 0 1 0V1.5a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 .5.5v10a.5.5 0 0 1-.5.5H7.864a.5.5 0 0 0-.5.5z"/>
											<path fill-rule="evenodd" d="M0 15.5a.5.5 0 0 0 .5.5h5a.5.5 0 0 0 0-1H1.707l8.147-8.146a.5.5 0 0 0-.708-.708L1 14.293V10.5a.5.5 0 0 0-1 0v5z"/>
										</svg>
									</button>
									<button class="delete-row" type="button" class="btn btn-primary" data-id={{pagination.id}}>
										<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="red" class="bi bi-basket" viewbox="0 0 16 16">
											<path d="M5.757 1.071a.5.5 0 0 1 .172.686L3.383 6h9.234L10.07 1.757a.5.5 0 1 1 .858-.514L13.783 6H15a1 1 0 0 1 1 1v1a1 1 0 0 1-1 1v4.5a2.5 2.5 0 0 1-2.5 2.5h-9A2.5 2.5 0 0 1 1 13.5V9a1 1 0 0 1-1-1V7a1 1 0 0 1 1-1h1.217L5.07 1.243a.5.5 0 0 1 .686-.172zM2 9v4.5A1.5 1.5 0 0 0 3.5 15h9a1.5 1.5 0 0 0 1.5-1.5V9H2zM1 7v1h14V7H1zm3 3a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3A.5.5 0 0 1 4 10zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3A.5.5 0 0 1 6 10zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3A.5.5 0 0 1 8 10zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3a.5.5 0 0 1 .5-.5zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3a.5.5 0 0 1 .5-.5z"/>
										</svg>
									</button>
								</td>
							</tr>
						{% endfor %}

					</tbody>
				</table>
			</div>
			<div class="col-3 contact">
				<h3>Nous contacter</h3>
				<p>01 83 94 14 94</p>
				<p>contact@access-sap.com</p>

			</div>
		</div>


	</div>
	<div class="modal fade" id="facture" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					{{ form_start(factureForm, { 'method': 'Post'}) }}
					{{ form_widget(factureForm) }}

				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
					<input id="btn-facture" name="validate" type="submit" class="btn btn-primary"/>
				</div>
				{{ form_end(factureForm) }}
			</div>
		</div>
	</div>
{% endblock %}
